QOperationGroup (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.quantel

## Interface QOperationGroup

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, OperationGroup, Segment
  All Known Implementing Classes:
    OperationGroupImpl

      public interface QOperationGroup
      extends OperationGroup

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEffectEnabled()`
    `long` | `getEffectLength()`
    `String` | `getEffectName()`
    `long` | `getEffectOffset()`
    `int` | `getEffectRenderKey()`
    `int` | `getEffectSourceAttached()`
    `PropertyValue` | `getEffectSourceLength()`
    `PropertyValue` | `getEffectSourceOffset()`
    `Stream` | `getPackBlob()`
    `long` | `getPackOffset()`
    `Segment` | `getPackRenderSequence()`
    `Segment` | `getRenderKey()`
    `int` | `getRepeatFiniteTails()`
    `int` | `getRepeatRushAttributes()`
    `String` | `getRepeatRushID()`
    `long` | `getRepeatRushOffset()`
    `Stream` | `getTransitionBlob()`
    `void` | `setEffectEnabled(Integer effectEnabled)`
    `void` | `setEffectLength(Long effectLength)`
    `void` | `setEffectName(String effectName)`
    `void` | `setEffectOffset(Long effectOffset)`
    `void` | `setEffectRenderKey(Integer effectRenderKey)`
    `void` | `setEffectSourceAttached(Integer effectSourceAttached)`
    `void` | `setEffectSourceLength(PropertyValue effectSourceLength)`
    `void` | `setEffectSourceOffset(PropertyValue effectSourceOffset)`
    `void` | `setPackBlob(Stream packBlob)`
    `void` | `setPackOffset(Long packOffset)`
    `void` | `setPackRenderSequence(Segment packRenderSequence)`
    `void` | `setRenderKey(Segment renderKey)`
    `void` | `setRepeatFiniteTails(Integer repeatFiniteTails)`
    `void` | `setRepeatRushAttributes(Integer repeatRushAttributes)`
    `void` | `setRepeatRushID(String repeatRushID)`
    `void` | `setRepeatRushOffset(Long repeatRushOffset)`
    `void` | `setTransitionBlob(Stream transitionBlob)`

    - ### Methods inherited from interface tv.amwa.maj.model.OperationGroup

      `addParameter, appendInputSegment, clearInputSegments, clearParameters, clone, countInputSegments, countParameters, getBypassOverride, getInputSegmentAt, getInputSegments, getOperationDefinition, getParameters, getRendering, insertInputSegmentAt, isTimeWarp, isValidTransitionOperation, lookupParameter, prependInputSegment, removeInputSegmentAt, setBypassOverride, setOperationDefinition, setRendering`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### getEffectOffset

          @Int64
          long getEffectOffset()
                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectOffset

          void setEffectOffset(@Int64
                               Long effectOffset)

    - #### getTransitionBlob

          Stream getTransitionBlob()
                            throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setTransitionBlob

          void setTransitionBlob(Stream transitionBlob)

    - #### getEffectLength

          @Int64
          long getEffectLength()
                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectLength

          void setEffectLength(@Int64
                               Long effectLength)

    - #### getEffectName

          String getEffectName()
                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectName

          void setEffectName(String effectName)

    - #### getEffectRenderKey

          @Int32
          int getEffectRenderKey()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectRenderKey

          void setEffectRenderKey(@Int32
                                  Integer effectRenderKey)

    - #### getRepeatFiniteTails

          @Int32
          int getRepeatFiniteTails()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRepeatFiniteTails

          void setRepeatFiniteTails(@Int32
                                    Integer repeatFiniteTails)

    - #### getEffectEnabled

          @Int32
          int getEffectEnabled()
                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectEnabled

          void setEffectEnabled(@Int32
                                Integer effectEnabled)

    - #### getRepeatRushAttributes

          @Int32
          int getRepeatRushAttributes()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRepeatRushAttributes

          void setRepeatRushAttributes(@Int32
                                       Integer repeatRushAttributes)

    - #### getEffectSourceOffset

          PropertyValue getEffectSourceOffset()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectSourceOffset

          void setEffectSourceOffset(PropertyValue effectSourceOffset)

    - #### getPackBlob

          Stream getPackBlob()
                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setPackBlob

          void setPackBlob(Stream packBlob)

    - #### getRepeatRushID

          String getRepeatRushID()
                          throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRepeatRushID

          void setRepeatRushID(String repeatRushID)

    - #### getRenderKey

          Segment getRenderKey()
                        throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRenderKey

          void setRenderKey(Segment renderKey)

    - #### getPackRenderSequence

          Segment getPackRenderSequence()
                                 throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setPackRenderSequence

          void setPackRenderSequence(Segment packRenderSequence)

    - #### getRepeatRushOffset

          @Int64
          long getRepeatRushOffset()
                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setRepeatRushOffset

          void setRepeatRushOffset(@Int64
                                   Long repeatRushOffset)

    - #### getEffectSourceAttached

          @Int32
          int getEffectSourceAttached()
                                      throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectSourceAttached

          void setEffectSourceAttached(@Int32
                                       Integer effectSourceAttached)

    - #### getPackOffset

          @Int64
          long getPackOffset()
                             throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setPackOffset

          void setPackOffset(@Int64
                             Long packOffset)

    - #### getEffectSourceLength

          PropertyValue getEffectSourceLength()
                                       throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setEffectSourceLength

          void setEffectSourceLength(PropertyValue effectSourceLength)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.